pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/40992: security/openvas-libraries doesn't compile on DragonFly (and probably on others)

>Number:         40992
>Category:       pkg
>Synopsis:       security/openvas-libraries doesn't compile on DragonFly (and 
>probably on others)
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Wed Mar 11 11:00:00 +0000 2009
>Originator:     Hasso Tepper
>Release:        DragonFly
DragonFly 2.3.0-DEVELOPMENT
There is several issues in security/openvas-libraries.

* Not having libresolv is fatal. DragonFly, FreeBSD and probably some others 
have resolver in libc.

* Configure checks for pcap_restart() in libpcap. Brief search from google to 
pcap_restart gives very few results and mostly openvas related?!

* Compiling libopenvas/ftp_funcs.c and libopenvas/ids_send.c errors out with 
message not knowing about AF_INET. SUSv3 says that these should be deined in 


This patch makes openvas-libraries to build for me on DragonFly.

Home | Main Index | Thread Index | Old Index